Name: usbutils
Version: 003
Release: 4%{?dist}
Source: http://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.gz
URL: http://www.linux-usb.org/
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: hwdata
BuildRequires: autoconf, libtool, libusb-devel >= 0.1.8, libusb1-devel
Summary: Linux USB utilities
Group: Applications/System
Conflicts: hotplug < 3:2002_01_14-2
Patch0: usbutils-003-hwdata.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=707853
# "[abrt] usbutils-001-3.fc15: find_otg: Process /usr/bin/lsusb was killed by
# signal 11 (SIGSEGV)"
# sent to upstream (Greg KH) via email and github pull request
Patch1: usbutils-003-invalid-config-descriptors.patch
Patch2: usbutils-003-man-usbids.patch
# libusb1 is also excluded on s390
ExcludeArch: s390 s390x

%description
This package contains utilities for inspecting devices connected to a
USB bus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .invalid-config-descriptors
%patch2 -p1 
autoreconf

%build
%configure --sbindir=%{_sbindir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# usb.ids is shipped in hwdata; nuke and adjust .pc file
sed -i 's|usbids=/usr/share/usb.ids|usbids=/usr/share/hwdata/usb.ids|' $RPM_BUILD_ROOT%{_datadir}/pkgconfig/usbutils.pc

# compat with older usbutils
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_bindir}/lsusb $RPM_BUILD_ROOT%{_sbindir}/lsusb

%files
%defattr(-,root,root,-)
%{_mandir}/*/*
%{_bindir}/*
%{_sbindir}/lsusb
%{_datadir}/pkgconfig/usbutils.pc
%doc AUTHORS COPYING ChangeLog NEWS README

%clean
rm -rf $RPM_BUILD_ROOT


%changelog

